"""Corpus types.
Word -> (), Sentence -> {}, Text -> [], then it's expressed as follows. Corpus can be anything.
[{(아침에는) (짜장면을) (맛있게) (먹었다)}. {(점심에는) (짬뽕을) (맛있게) (먹었다)}. {(저녁에는) (짬짜면을) (맛있게) (먹었다)}.]
Word can basically be word or word segment (eojeol), separating the two as needed.
"""

from typing import Literal

from typing_extensions import TypeAlias

Morpheme: TypeAlias = str
Word: TypeAlias = str
Sentence: TypeAlias = str
Text: TypeAlias = str
Corpus: TypeAlias = str
POSTag: TypeAlias = Literal[
    "NNG",
    "NNP",
    "NNB",
    "NR",
    "NP",
    "VV",
    "VA",
    "VX",
    "VCP",
    "VCN",
    "MM",
    "MAG",
    "MAJ",
    "IC",
    "JKS",
    "JKC",
    "JKG",
    "JKO",
    "JKB",
    "JKV",
    "JKQ",
    "JX",
    "JC",
    "EP",
    "EF",
    "EC",
    "ETN",
    "ETM",
    "XPN",
    "XSN",
    "XSV",
    "XSA",
    "XSM",
    "XR",
    "SF",
    "SP",
    "SS",
    "SSO",
    "SSC",
    "SE",
    "SO",
    "SW",
    "SL",
    "SH",
    "SN",
    "SB",
    "UN",
    "W_URL",
    "W_EMAIL",
    "W_HASHTAG",
    "W_MENTION",
    "W_SERIAL",
    "W_EMOJI",
    "Z_CODA",
    "USER0",
    "USER1",
    "USER2",
    "USER3",
    "USER4",
]
Language: TypeAlias = Literal[
    "af",
    "ak",
    "am",
    "ar",
    "as",
    "ay",
    "az",
    "be",
    "bg",
    "bho",
    "bm",
    "bn",
    "bs",
    "ca",
    "ceb",
    "ckb",
    "co",
    "cs",
    "cy",
    "da",
    "de",
    "doi",
    "dv",
    "ee",
    "el",
    "en",
    "eo",
    "es",
    "et",
    "eu",
    "fa",
    "fi",
    "fr",
    "fy",
    "ga",
    "gd",
    "gl",
    "gn",
    "gom",
    "gu",
    "ha",
    "haw",
    "hi",
    "hmn",
    "hr",
    "ht",
    "hu",
    "hy",
    "id",
    "ig",
    "ilo",
    "is",
    "it",
    "iw",
    "ja",
    "jw",
    "ka",
    "kk",
    "km",
    "kn",
    "ko",
    "kri",
    "ku",
    "ky",
    "la",
    "lb",
    "lg",
    "ln",
    "lo",
    "lt",
    "lus",
    "lv",
    "mai",
    "mg",
    "mi",
    "mk",
    "ml",
    "mn",
    "mni-Mtei",
    "mr",
    "ms",
    "mt",
    "my",
    "ne",
    "nl",
    "no",
    "nso",
    "ny",
    "om",
    "or",
    "pa",
    "pl",
    "ps",
    "pt",
    "qu",
    "ro",
    "ru",
    "rw",
    "sa",
    "sd",
    "si",
    "sk",
    "sl",
    "sm",
    "sn",
    "so",
    "sq",
    "sr",
    "st",
    "su",
    "sv",
    "sw",
    "ta",
    "te",
    "tg",
    "th",
    "ti",
    "tk",
    "tl",
    "tr",
    "ts",
    "tt",
    "ug",
    "uk",
    "ur",
    "uz",
    "vi",
    "xh",
    "yi",
    "yo",
    "zh-CN",
    "zh-TW",
    "zu",
]
